[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ExtCtrls' (#lcl)

# TBandMove

Represents band move states in TCtrlBand.

## Declaration

Source position: extctrls.pp line 1513

`type TBandMove = (`
`bmNone,` |  | A control band cannot be dragged.
`bmReady,` |  | A control band is ready for a drag operation.
`bmMoving` |  | A control band is being dragged after a mouse down event.
`);`

## Description

Used in the implementation of MouseUp, MouseMove, and MouseDown methods in TCustomControlBar.

## See also

TCustomControlBar.MouseDown |  | Handles a mouse down message in the control.
TCustomControlBar.MouseMove |  | Handles a mouse move message including dragging a control band.
TCustomControlBar.MouseUp |  | Handles a mouse up message that ends a drag operation for a control band.